Intermittent test_execute_isolate.py TestExecuteIsolationContent.test_execute_async_isolate | ScriptTimeoutException: Timed out

RESOLVED WORKSFORME

Status

Testing
Marionette
RESOLVED WORKSFORME
a year ago
14 days ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({intermittent-failure})

Version 3
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox50 unaffected, firefox51 unaffected, firefox52 wontfix, firefox53 affected)

Details

(Reporter)

Description

a year ago
treeherder
Filed by: wkocher [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=39050042&repo=mozilla-inbound

https://archive.mozilla.org/pub/firefox/tinderbox-builds/mozilla-inbound-win32-debug/1478869940/mozilla-inbound_win7_vm-debug_test-marionette-bm129-tests1-windows-build791.txt.gz
 06:46:05     INFO -    File "c:\slave\test\build\tests\marionette\tests\testing\marionette\harness\marionette\tests\unit\test_execute_isolate.py", line 27, in test_execute_async_isolate
 06:46:05     INFO -      """.format(multiplier))
 06:46:05     INFO -    File "c:\slave\test\build\venv\lib\site-packages\marionette_driver\marionette.py", line 1813, in execute_async_script
 06:46:05 INFO - rv = self._send_message("executeAsyncScript", body, key="value") 

Fails here for content=True:

https://dxr.mozilla.org/mozilla-central/rev/d38d06f85ef59c5dbb5d4a1a8d895957a78714de/testing/marionette/harness/marionette/tests/unit/test_execute_isolate.py#25
status-firefox50: --- → unaffected
status-firefox51: --- → unaffected
status-firefox52: --- → affected
status-firefox53: --- → affected

Comment 2

a year ago
19 failures in 715 pushes (0.027 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 10
* mozilla-aurora: 5
* mozilla-central: 2
* autoland: 2

Platform breakdown:
* windows8-64: 9
* windows7-32-vm: 6
* linux64: 2
* windowsxp: 1
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1316942&startday=2016-11-14&endday=2016-11-20&tree=all

Comment 3

a year ago
21 failures in 623 pushes (0.034 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-aurora: 10
* mozilla-inbound: 8
* autoland: 3

Platform breakdown:
* linux64: 10
* windows7-32-vm: 7
* windows8-64: 3
* windowsxp: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1316942&startday=2016-11-21&endday=2016-11-27&tree=all

Comment 4

10 months ago
7 failures in 749 pushes (0.009 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* autoland: 6
* mozilla-inbound: 1

Platform breakdown:
* android-4-3-armv7-api15: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1316942&startday=2017-01-23&endday=2017-01-29&tree=all
Too late for firefox 52, mass-wontfix.
status-firefox52: affected → wontfix
Status: NEW → RESOLVED
Last Resolved: 4 months ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE

Comment 6

3 months ago
1 failures in 901 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api15: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1316942&startday=2017-08-07&endday=2017-08-13&tree=all
Nowadays this seems to be Android only.
Status: RESOLVED → REOPENED
OS: Unspecified → Android
Hardware: Unspecified → ARM
Resolution: INCOMPLETE → ---
Looks like there is bug 1372015 for the Android case. Closing this bug as WFM for other platforms.
Status: REOPENED → RESOLVED
Last Resolved: 4 months ago3 months ago
Keywords: bulk-close-intermittents
OS: Android → All
Hardware: ARM → All
Resolution: --- → WORKSFORME
Comment hidden (obsolete)
(In reply to OrangeFactor Robot from comment #9)
> Platform breakdown:
> * android-4-3-armv7-api15: 4
> 
> For more details, see:
> https://brasstacks.mozilla.com/orangefactor/
> ?display=Bug&bugid=1316942&startday=2017-08-14&endday=2017-08-20&tree=all

Those should have been starred all for bug 1372015. I updated it's summary to make it visible for auto-clarification.

Comment 11

3 months ago
1 failures in 908 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api15: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1316942&startday=2017-08-21&endday=2017-08-27&tree=all

Comment 12

3 months ago
10 failures in 939 pushes (0.011 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 8
* mozilla-beta: 2

Platform breakdown:
* android-4-3-armv7-api16: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1316942&startday=2017-08-28&endday=2017-09-03&tree=all

Comment 13

2 months ago
11 failures in 924 pushes (0.012 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 10
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api16: 11

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1316942&startday=2017-09-04&endday=2017-09-10&tree=all
All the OF emails from the last 3 weeks show that we are still starring the failures against the wrong bug. Coop, can you please get this adjusted? Not sure what's missing here. Please see my comment 10. Thanks.
For whatever reason, bug 1372015 isn't being suggested for these failures.

Comment 16

2 months ago
1 failures in 943 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1316942&startday=2017-09-18&endday=2017-09-24&tree=all

Comment 17

a month ago
1 failures in 947 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-release: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1316942&startday=2017-10-09&endday=2017-10-15&tree=all

Comment 18

21 days ago
1 failures in 912 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-release: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1316942&startday=2017-10-23&endday=2017-10-29&tree=all

Comment 19

14 days ago
1 failures in 857 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-release: 1

Platform breakdown:
* android-4-3-armv7-api16: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1316942&startday=2017-10-30&endday=2017-11-05&tree=all
You need to log in before you can comment on or make changes to this bug.